"use client";
import React from "react";
import "../style/Highlight.css";
export const Highlight = (props) => {
    const { position, onClick, onMouseOver, onMouseOut, comment, isScrolledTo } = props;
    const { rects, boundingRect } = position;
    return (React.createElement("div", { className: `Highlight ${isScrolledTo ? "Highlight--scrolledTo" : ""}` },
        comment ? (React.createElement("div", { className: "Highlight__emoji", style: {
                left: 20,
                top: boundingRect.top,
            } }, comment.emoji)) : null,
        React.createElement("div", { className: "Highlight__parts" }, rects.map((rect, index) => (React.createElement("div", { onMouseOver: onMouseOver, onMouseOut: onMouseOut, onClick: onClick, key: index, style: rect, className: `Highlight__part` }))))));
};
//# sourceMappingURL=Highlight.js.map