/// <reference types="react" />
import type { PDFDocumentProxy } from "pdfjs-dist";
type PdfLoaderProps = {
    workerSrc?: string;
    url: string;
    beforeLoad: JSX.Element;
    errorMessage?: JSX.Element;
    children: (pdfDocument: PDFDocumentProxy) => JSX.Element;
    onError?: (error: Error) => void;
    cMapUrl?: string;
    cMapPacked?: boolean;
};
export declare const PdfLoader: ({ workerSrc, url, beforeLoad, children, cMapUrl, cMapPacked, onError, ...props }: PdfLoaderProps) => JSX.Element;
export {};
